com.aliyun.player.nativeclass

## Enum TrackInfo.VideoHDRType

- java.lang.Object
- - java.lang.Enum<TrackInfo.VideoHDRType>
  - - com.aliyun.player.nativeclass.TrackInfo.VideoHDRType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TrackInfo.VideoHDRType>
  Enclosing class:
    TrackInfo

      public static enum TrackInfo.VideoHDRType
      extends java.lang.Enum<TrackInfo.VideoHDRType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VideoHDRType_HDR10`
    `VideoHDRType_SDR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrackInfo.VideoHDRType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrackInfo.VideoHDRType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VideoHDRType_SDR

          public static final TrackInfo.VideoHDRType VideoHDRType_SDR

    - #### VideoHDRType_HDR10

          public static final TrackInfo.VideoHDRType VideoHDRType_HDR10

  - ### Method Detail

    - #### values

          public static TrackInfo.VideoHDRType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrackInfo.VideoHDRType c : TrackInfo.VideoHDRType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrackInfo.VideoHDRType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null